package com.bcxin.ars.model;

/**
 * 
 * 历史搜索记录表
 * 
 * @author LinQingLin
 * @date 2017年4月6日 下午3:00:51
 * @注意事项 </b>
 * <b>
 */
public class SearchHistory extends BaseModel {


	/**  */
	private static final long serialVersionUID = -2437971515176762103L;

	/**
     * 用户id
     */
    private Long userid;

    /**
     * 搜索类型 1保安人员 2任务 3 保安公司 4 现场检查
     */
    private String searchType;
    /**
     * 搜索内容
     */
    private String context;

    public Long getUserid() {
        return userid;
    }

    public void setUserid(Long userid) {
        this.userid = userid;
    }

	public String getSearchType() {
		return searchType;
	}

	public void setSearchType(String searchType) {
		this.searchType = searchType;
	}
	
    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context == null ? null : context.trim();
    }
}